<?php
/**
 * Zend Framework (http://framework.zend.com/)
 *
 * @link      http://github.com/zendframework/zf2 for the canonical source repository
 * @copyright Copyright (c) 2005-2012 Zend Technologies USA Inc. (http://www.zend.com)
 * @license   http://framework.zend.com/license/new-bsd New BSD License
 * @package   Zend_GData
 */

namespace ZendGData\EXIF\Extension;

/**
 * Represents the exif:exposure element used by the Gdata Exif extensions.
 *
 * @category   Zend
 * @package    Zend_Gdata
 * @subpackage Exif
 */
class Exposure extends \ZendGData\Extension
{

    protected $_rootNamespace = 'exif';
    protected $_rootElement = 'exposure';

    /**
     * Constructs a new Zend_Gdata_Exif_Extension_Exposure object.
     *
     * @param string $text (optional) The value to use for this element.
     */
    public function __construct($text = null)
    {
        $this->registerAllNamespaces(\ZendGData\EXIF::$namespaces);
        parent::__construct();
        $this->setText($text);
    }

}
